Bug 66546 - built-in script should be removed
built-in script should be removed
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: epic (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 20:08 EDT by A. Campling
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-11 20:10:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Campling 2002-06-11 20:08:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.1 (X11; Linux i686; U;) Gecko/20020417

Description of problem:
the current packages for EPIC come with scripts built into the binary and source
RPM distributions.  The original EPIC packages at epicsol.org don't have the
spitfire script built in... the redhat packages should not, either.  Installed
systemwide, users have a hard time bypassing the "built-in" scripts.  If users
wanted built-in scripts, they'd use BitchX.  EPIC should be distributed without
more than the default scripts, and users/admins can install any additional
scripts they want on their own.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -i epic-1.0.1-4.i386.rpm
2. ls /usr/share/epic/script/sf*

Actual Results:  additional scripts "built-in"

Expected Results:  additional scripts should not be "built-in"

Additional info:

this is with all EPIC rpm packages I've looked at, not just 1.0.1-4, just that
this is the one I'm trying to use and having trouble with (i.e. the 1.0.1-7
release in the rawhide tree should probably be repaired, too).
Comment 1 Jeremy Katz 2002-06-12 14:50:27 EDT
The script is just included as a convenience and isn't turned on by default. 
This is perfectly reasonable.  If you're wanting to use a newer version,
anything in ~/.epic will get loaded before the ones in the global scripts dir.

Note You need to log in before you can comment on or make changes to this bug.